Package htsjdk.samtools

# Class SAMFormatException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
htsjdk.samtools.SAMException
htsjdk.samtools.SAMFormatException

All Implemented Interfaces:
  `Serializable`

public class SAMFormatException extends SAMException
Thrown when a SAM file being read or decoded (text or binary) looks bad.

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`SAMFormatException()`
`SAMFormatException(String s)`
`SAMFormatException(String s, Throwable throwable)`
`SAMFormatException(Throwable throwable)`

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### SAMFormatException

public SAMFormatException()

### SAMFormatException

public SAMFormatException(String s)

### SAMFormatException

public SAMFormatException(String s, Throwable throwable)

### SAMFormatException

public SAMFormatException(Throwable throwable)